{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Заказы" %}


{% block heading %}
    <div class="content-header">
        <h1 class="content-header__title">{{ title }}</h1>
        <div class="content-header__content">

        </div>

    </div>
{% endblock %}

{% block main %}

    <div class="card">
        <div class="card-header">
            <div class="position-relative has-icon-left  mr-1 mb-1" style="flex-grow: 1;">
                <input type="text" class="form-control" id="iconLeft" placeholder="Поиск товара">
                <div class="form-control-position">
                    <i class="bx bx-search"></i>
                </div>
            </div>
            <button class="btn btn-primary mr-1 mb-1" type="button">Поиск</button>
            <div class="btn-group mr-1 mb-1">
                <div class="dropdown">
                    <button class="btn btn-outline-primary dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Сортировка</button>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton" style="">
                        <a class="dropdown-item" href="javascript:void(0);">Новые</a>
                        <a class="dropdown-item" href="javascript:void(0);">По алфавиту</a>
                        <a class="dropdown-item" href="javascript:void(0);">По цене</a>
                    </div>
                </div>
            </div>
        </div>
        <!-- datatable start -->
        <div class="table-responsive">
            <table id="table-extended-checkbox" class="table table-transparent table-hover">
                <thead>
                <tr>
                    <th class="pr-0"></th>
                    <th class="pl-0">ID заказа</th>
                    <th>Сумма</th>
                    <th>Дата</th>
                    <th>Клиент</th>
                    <th>Магазин</th>
                    <th>Оплата</th>
                    <th>Статус</th>
                    <th class="text-center">Редактировать</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td class="pr-0"></td>
                    <td class="pl-0"><a href="#">00956</a></td>
                    <td class="text-nowrap text-danger">459,30</td>
                    <td class="text-nowrap text-danger">11:32</td>
                    <td class="text-danger">Алексей</td>
                    <td class="text-danger">Пушкина 32</td>
                    <td class="text-nowrap">
                        <i class="bx bxs-circle fs-8 text-success"></i>
                        <span>Карта онлайн</span>
                    </td>
                    <td class="text-nowrap">
                        <span class="badge bg-danger badge-pill">45 минут</span>
                    </td>
                    <td class="text-center">
                        <a href="#" class="text-muted">
                            <i class="bx bx-edit"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td class="pr-0"></td>
                    <td class="pl-0"><a href="#">00988</a></td>
                    <td class="text-nowrap">125,30</td>
                    <td class="text-nowrap">10:54</td>
                    <td>Максим</td>
                    <td>Мясникова 44</td>
                    <td class="text-nowrap">
                        <i class="bx bxs-circle fs-8 text-danger"></i>
                        <span>Наличными</span>
                    </td>
                    <td class="text-nowrap">
                        <span class="badge bg-success badge-pill">Выполнен</span>
                    </td>
                    <td class="text-center">
                        <a href="#" class="text-muted">
                            <i class="bx bx-edit"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td class="pr-0"></td>
                    <td class="pl-0"><a href="#">00998</a></td>
                    <td class="text-nowrap">512,30</td>
                    <td class="text-nowrap">13:15</td>
                    <td>Дарья</td>
                    <td>Мясникова 44</td>
                    <td class="text-nowrap">
                        <i class="bx bxs-circle fs-8"></i>
                        <span>Карта</span>
                    </td>
                    <td class="text-nowrap">
                        <span class="badge bg-warning badge-pill">Новые</span>
                    </td>
                    <td class="text-center">
                        <a href="#" class="text-muted">
                            <i class="bx bx-edit"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td class="pr-0"></td>
                    <td class="pl-0"><a href="#">00985</a></td>
                    <td class="text-nowrap text-danger">1250,30</td>
                    <td class="text-nowrap text-danger">13:48</td>
                    <td class="text-danger">Игорь</td>
                    <td class="text-danger">Пушкина 18</td>
                    <td class="text-nowrap">
                        <i class="bx bxs-circle fs-8 text-success"></i>
                        <span>Карта онлайн</span>
                    </td>
                    <td class="text-nowrap">
                        <span class="badge bg-danger badge-pill">45 минут</span>
                    </td>
                    <td class="text-center">
                        <a href="#" class="text-muted">
                            <i class="bx bx-edit"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td class="pr-0"></td>
                    <td class="pl-0"><a href="#">00988</a></td>
                    <td class="text-nowrap">125,30</td>
                    <td class="text-nowrap">10:54</td>
                    <td>Максим</td>
                    <td>Мясникова 44</td>
                    <td class="text-nowrap">
                        <i class="bx bxs-circle fs-8 text-danger"></i>
                        <span>Наличными</span>
                    </td>
                    <td class="text-nowrap">
                        <span class="badge bg-success badge-pill">Выполнен</span>
                    </td>
                    <td class="text-center">
                        <a href="#" class="text-muted">
                            <i class="bx bx-edit"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td class="pr-0"></td>
                    <td class="pl-0"><a href="#">00998</a></td>
                    <td class="text-nowrap">512,30</td>
                    <td class="text-nowrap">13:15</td>
                    <td>Дарья</td>
                    <td>Мясникова 44</td>
                    <td class="text-nowrap">
                        <i class="bx bxs-circle fs-8"></i>
                        <span>Карта</span>
                    </td>
                    <td class="text-nowrap">
                        <span class="badge bg-warning badge-pill">Новые</span>
                    </td>
                    <td class="text-center">
                        <a href="#" class="text-muted">
                            <i class="bx bx-edit"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td class="pr-0"></td>
                    <td class="pl-0"><a href="#">00956</a></td>
                    <td class="text-nowrap text-danger">459,30</td>
                    <td class="text-nowrap text-danger">11:32</td>
                    <td class="text-danger">Алексей</td>
                    <td class="text-danger">Пушкина 32</td>
                    <td class="text-nowrap">
                        <i class="bx bxs-circle fs-8 text-success"></i>
                        <span>Карта онлайн</span>
                    </td>
                    <td class="text-nowrap">
                        <span class="badge bg-danger badge-pill">45 минут</span>
                    </td>
                    <td class="text-center">
                        <a href="#" class="text-muted">
                            <i class="bx bx-edit"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td class="pr-0"></td>
                    <td class="pl-0"><a href="#">00988</a></td>
                    <td class="text-nowrap">125,30</td>
                    <td class="text-nowrap">10:54</td>
                    <td>Максим</td>
                    <td>Мясникова 44</td>
                    <td class="text-nowrap">
                        <i class="bx bxs-circle fs-8 text-danger"></i>
                        <span>Наличными</span>
                    </td>
                    <td class="text-nowrap">
                        <span class="badge bg-success badge-pill">Выполнен</span>
                    </td>
                    <td class="text-center">
                        <a href="#" class="text-muted">
                            <i class="bx bx-edit"></i>
                        </a>
                    </td>
                </tr>
                <tr>
                    <td class="pr-0"></td>
                    <td class="pl-0"><a href="#">00998</a></td>
                    <td class="text-nowrap">512,30</td>
                    <td class="text-nowrap">13:15</td>
                    <td>Дарья</td>
                    <td>Мясникова 44</td>
                    <td class="text-nowrap">
                        <i class="bx bxs-circle fs-8"></i>
                        <span>Карта</span>
                    </td>
                    <td class="text-nowrap">
                        <span class="badge bg-warning badge-pill">Новые</span>
                    </td>
                    <td class="text-center">
                        <a href="#" class="text-muted">
                            <i class="bx bx-edit"></i>
                        </a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
        <!-- datatable ends -->
    </div>

    <ul class="pagination justify-content-end mt-2">
        <li class="page-item previous disabled">
            <a class="page-link" href="javascript:void(0);">
                <i class="bx bx-chevron-left"></i>
            </a>
        </li>
        <li class="page-item active" aria-current="page"><a class="page-link" href="javascript:void(0);">1</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">2</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">3</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">4</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">5</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">6</a></li>
        <li class="page-item"><a class="page-link" href="javascript:void(0);">7</a></li>
        <li class="page-item next">
            <a class="page-link" href="javascript:void(0);">
                <i class="bx bx-chevron-right"></i>
            </a>
        </li>
    </ul>

{% endblock %}


{% block scripts %}

    <script>
        var tablecheckbox = $('#table-extended-checkbox').DataTable({
            "searching": false,
            "lengthChange": false,
            "paging": false,
            "bInfo": false,
            'columnDefs': [
                { "orderable": false, "targets": [0, 8] },   //to disable sortying in col 0,3 & 4
                {
                    'targets': 0,
                    'render': function (data, type, row, meta) {
                        if (type === 'display') {
                            data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'; //body checkbox
                        }
                        return data;
                    },
                    'checkboxes': {
                        'selectRow': true,
                        'selectAllRender': '<div class="checkbox"><input type="checkbox" class="dt-checkboxes" checked=""><label></label></div >'  //head checkbox
                    }
                }],
            'select': 'multi',
            'order': [[1, 'asc']]
        });
    </script>

{% endblock %}

